NAME="gst-plugins-base"
DESC="GStreamer Base Plug-ins is a well-groomed and well-maintained collection of GStreamer plug-ins and elements"
VERSION="1.22.5"
FILES=("https://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-$VERSION.tar.xz")
HASHES=("cc16aeaefdfd3917e009412a22d07fac")
DEPENDS=("gstreamer" "alsa-lib")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  mkdir build
  cd    build

  meson  setup ..             \
       --prefix=/usr          \
       --buildtype=release    \
       --wrap-mode=nodownload \
       -Dpackage-origin=https://www.linuxfromscratch.org/blfs/view/12.0-systemd/ \
       -Dpackage-name="GStreamer $VERSION"    
  ninja && DESTDIR="$ROOTDIR" ninja install

  cd ../.. && rm -rf $NAME-$VERSION
}
