NAME="nss"
DESC="Network Security Services"
VERSION="3.98"
FILES=(
  "https://archive.mozilla.org/pub/security/nss/releases/NSS_3_98_RTM/src/nss-$VERSION.tar.gz"
  "nss-3.98-standalone-1.patch"
)
HASHES=(
  "4502fcae1b32da310fffdfb3c67f6985"
  "87bb1af0b11fd41311b9899187f6e4b3fca9940651123c7bc836ec7497d2da84"
)
DEPENDS=("nspr" "sqlite" "p11-kit")

PACKAGE() {
  tar xf $NAME-$VERSION.tar.gz
  cd $NAME-$VERSION

  patch -Np1 -i ../nss-$VERSION-standalone-1.patch
  cd nss

  make BUILD_OPT=1                      \
    NSPR_INCLUDE_DIR=/usr/include/nspr  \
    USE_SYSTEM_ZLIB=1                   \
    ZLIB_LIBS=-lz                       \
    NSS_ENABLE_WERROR=0                 \
    USE_64=1                            \
    NSS_USE_SYSTEM_SQLITE=1

  cd ../dist
  mkdir -pv "$ROOTDIR/usr/lib/pkgconfig" "$ROOTDIR/usr/bin"
  install -v -m755 Linux*/lib/*.so              "$ROOTDIR/usr/lib"
  install -v -m644 Linux*/lib/{*.chk,libcrmf.a} "$ROOTDIR/usr/lib"

  install -v -m755 -d                           "$ROOTDIR/usr/include/nss"
  cp -v -RL {public,private}/nss/*              "$ROOTDIR/usr/include/nss"

  install -v -m755 Linux*/bin/{certutil,nss-config,pk12util} "$ROOTDIR/usr/bin"
  install -v -m644 Linux*/lib/pkgconfig/nss.pc  "$ROOTDIR/usr/lib/pkgconfig"
  ln -sfv ./pkcs11/p11-kit-trust.so "$ROOTDIR/usr/lib/libnssckbi.so"

  cd ../.. && rm -r $NAME-$VERSION
}
