NAME="weston"
DESC="Wayland compositor designed for correctness, reliability, predictability, and performance"
VERSION="12.0.3"
FILES=("https://gitlab.freedesktop.org/wayland/weston/-/releases/$VERSION/downloads/weston-$VERSION.tar.xz")
HASHES=("0fa88359e691ce6de47ee92d7bd0c10ec8c54b064d07b204715fc479eef0db6d")
DEPENDS=(
  "wayland" "wayland-protocols" "linux-pam" 
  "dbus" "glib" "libdrm" "libinput"
  "libpng" "libx11" "libxcb" "libxcursor"
  "mtdev" "mesa" "pixman" "libxkbcommon"
  "cairo" "libseat" "libva" "lcms2"
  "xkeyboard-config"
)

PACKAGE() {
  tar xf $NAME-$VERSION.tar.xz
  cd $NAME-$VERSION

  meson build/ --prefix=/usr \
    -Dimage-webp=false       \
    -Dimage-jpeg=false       \
    -Dbackend-rdp=false      \
    -Dremoting=false         \
    -Dpipewire=false         \
    -Dbackend-pipewire=false 
  DESTDIR=$ROOTDIR ninja -C build/ install

  cd .. && rm -rf $NAME-$VERSION
}
